org.apache.tomcat.websocket

## Class PojoHolder

- java.lang.Object
- - org.apache.tomcat.websocket.PojoHolder

- All Implemented Interfaces:
    ClientEndpointHolder

      public class PojoHolder
      extends Object
      implements ClientEndpointHolder

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PojoHolder(Object pojo, ClientEndpointConfig clientEndpointConfig)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getClassName()`
    `Endpoint` | `getInstance(InstanceManager instanceManager)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PojoHolder

          public PojoHolder(Object pojo,
                    ClientEndpointConfig clientEndpointConfig)

  - ### Method Detail

    - #### getClassName

          public String getClassName()

      Specified by:
        `getClassName` in interface `ClientEndpointHolder`

    - #### getInstance

          public Endpoint getInstance(InstanceManager instanceManager)
                               throws DeploymentException

      Specified by:
        `getInstance` in interface `ClientEndpointHolder`
      Throws:
        `DeploymentException`

Copyright © 2000-2022 Apache Software Foundation. All Rights Reserved.